@ECHO OFF

REM Outputs the GUID and/or name of the currently loaded tape partition (side).
REM No STDOUT output if no tape loaded or other problems encountered.
REM   This makes capturing output in other scripts easier.
REM STDERR is used for error messages.
REM   Except for errors from RSM itself, which annoyingly uses STDOUT.


SETLOCAL

SET ARG=%1

IF NOT DEFINED ARG SET ARG=both

SET OPTS=
IF %ARG%==both SET OPTS=/GUIDDISPLAY
IF %ARG%==guid SET OPTS=/GUIDDISPLAY /B
IF NOT DEFINED OPTS IF NOT %ARG%==name (
	ECHO %0: invalid argument -- specify "name", "guid", or "both" >&2
	GOTO :EOF
	)

IF NOT DEFINED RSM_LIB_GUID (
	ECHO %0: RSM_LIB_GUID is not defined >&2
	GOTO :EOF
	)

SET TAPEGUID=
FOR /F "usebackq" %%I IN (`CALL view_loaded_tape guid`) DO SET TAPEGUID=%%I

REM no output if no tape loaded
IF NOT DEFINED TAPEGUID (
	ECHO %0: Failed to get TAPEGUID >&2
	GOTO :EOF
	)

RSM VIEW %OPTS% /TPARTITION /CG%TAPEGUID% | FINDSTR /V /C:"The command completed successfully" | FINDSTR /V "PARTITION" | FINDSTR /V /R ^^$
