@ECHO OFF

REM Outputs the GUID and/or name of the currently loaded physical tape.
REM Note that this is likely not the data you are looking for.
REM   Use view_loaded_part to get information on current media partition.
REM No STDOUT output if no tape loaded or other problems encountered.
REM   This makes capturing output in other scripts easier.
REM STDERR is used for error messages.
REM   Except for errors from RSM itself, which annoyingly uses STDOUT.

SETLOCAL

SET ARG=%1

IF NOT DEFINED ARG SET ARG=both

SET OPTS=
IF %ARG%==both SET OPTS=/GUIDDISPLAY
IF %ARG%==guid SET OPTS=/GUIDDISPLAY /B
IF NOT DEFINED OPTS IF NOT %ARG%==name (
	ECHO %0: invalid argument -- specify "name", "guid", or "both" >&2
	GOTO :EOF
	)

IF NOT DEFINED RSM_LIB_GUID (
	ECHO %0: RSM_LIB_GUID is not defined >&2
	GOTO :EOF
	)

RSM VIEW %OPTS% /TPHYSICAL_MEDIA /CG%RSM_LIB_GUID% | FINDSTR /V /C:"The command completed successfully" | FINDSTR /V "PHYSICAL_MEDIA" | FINDSTR /V /C:"Convert string to guid failed" | FINDSTR /V /R ^^$
